<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Logger/LogLevelObserverInterface.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">LogLevelObserverInterface.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_level_8h_source.html">AVSCommon/Utils/Logger/Level.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for LogLevelObserverInterface.h:</div>
<div class="dyncontent">
<div class="center"><img src="_log_level_observer_interface_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_logger_2_log_level_observer_interface_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_logger_2_log_level_observer_interface_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_logger_2_log_level_observer_interface_8h">
<area shape="rect" id="node2" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="38,119,214,157"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_log_level_observer_interface_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_logger_2_log_level_observer_interface_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_logger_2_log_level_observer_interface_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_logger_2_log_level_observer_interface_8hdep">
<area shape="rect" id="node2" href="_logger_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Logger/Logger.h" alt="" coords="4868,119,5049,184"/>
<area shape="rect" id="node3" href="_a_v_s_connection_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/AVSConnectionManager.cpp" alt="" coords="5,245,277,284"/>
<area shape="rect" id="node4" href="_downchannel_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/DownchannelHandler.cpp" alt="" coords="301,239,478,291"/>
<area shape="rect" id="node5" href="_exchange_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/ExchangeHandler.cpp" alt="" coords="502,239,660,291"/>
<area shape="rect" id="node6" href="_h_t_t_p2_transport_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/HTTP2Transport.cpp" alt="" coords="684,239,841,291"/>
<area shape="rect" id="node7" href="_message_request_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/MessageRequestHandler.cpp" alt="" coords="865,239,1065,291"/>
<area shape="rect" id="node8" href="_message_router_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/MessageRouter.cpp" alt="" coords="1089,239,1247,291"/>
<area shape="rect" id="node9" href="_mime_response_sink_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/MimeResponseSink.cpp" alt="" coords="1271,239,1440,291"/>
<area shape="rect" id="node10" href="_ping_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/PingHandler.cpp" alt="" coords="1465,239,1623,291"/>
<area shape="rect" id="node11" href="_post_connect_synchronizer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/PostConnectSynchronizer.cpp" alt="" coords="1647,239,1851,291"/>
<area shape="rect" id="node12" href="_post_connect_synchronizer_factory_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/PostConnectSynchronizerFactory.cpp" alt="" coords="1875,239,2122,291"/>
<area shape="rect" id="node13" href="_directive_processor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveProcessor.cpp" alt="" coords="2146,245,2392,284"/>
<area shape="rect" id="node14" href="_directive_router_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveRouter.cpp" alt="" coords="2416,245,2642,284"/>
<area shape="rect" id="node15" href="_directive_sequencer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveSequencer.cpp" alt="" coords="2666,245,2917,284"/>
<area shape="rect" id="node16" href="_message_interpreter_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/MessageInterpreter.cpp" alt="" coords="2941,245,3192,284"/>
<area shape="rect" id="node17" href="_audio_activity_tracker_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/src/AudioActivity\lTracker.cpp" alt="" coords="3215,239,3403,291"/>
<area shape="rect" id="node18" href="_focus_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/src/FocusManager.cpp" alt="" coords="3426,245,3651,284"/>
<area shape="rect" id="node19" href="_visual_activity_tracker_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/src/VisualActivity\lTracker.cpp" alt="" coords="3674,239,3864,291"/>
<area shape="rect" id="node20" href="_android_logger_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/include\l/AndroidUtilities/AndroidLogger.h" alt="" coords="3817,345,4033,411"/>
<area shape="rect" id="node21" href="_android_s_l_e_s_object_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/include\l/AndroidUtilities/AndroidSLESObject.h" alt="" coords="4293,345,4541,411"/>
<area shape="rect" id="node22" href="_equalizer_runtime_setup_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/EqualizerRuntime\lSetup.cpp" alt="" coords="4464,232,4696,297"/>
<area shape="rect" id="node23" href="_abstract_a_v_s_connection_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/AbstractAVSConnectionManager.cpp" alt="" coords="4719,239,4963,291"/>
<area shape="rect" id="node24" href="_alexa_client_s_d_k_init_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/AlexaClientSDKInit.cpp" alt="" coords="4987,239,5168,291"/>
<area shape="rect" id="node25" href="_attachment_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/Attachment/AttachmentManager.cpp" alt="" coords="5191,239,5432,291"/>
<area shape="rect" id="node26" href="_attachment_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/Attachment/AttachmentUtils.cpp" alt="" coords="5456,239,5671,291"/>
<area shape="rect" id="node27" href="_in_process_attachment_reader_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/Attachment/InProcessAttachment\lReader.cpp" alt="" coords="5695,232,5918,297"/>
<area shape="rect" id="node28" href="_in_process_attachment_writer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/Attachment/InProcessAttachment\lWriter.cpp" alt="" coords="5942,232,6165,297"/>
<area shape="rect" id="node29" href="_a_v_s_directive_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/AVSDirective.cpp" alt="" coords="6188,239,6369,291"/>
<area shape="rect" id="node30" href="_blocking_policy_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/BlockingPolicy.cpp" alt="" coords="6393,239,6574,291"/>
<area shape="rect" id="node31" href="_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/CapabilityAgent.cpp" alt="" coords="6599,239,6780,291"/>
<area shape="rect" id="node32" href="_event_builder_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/EventBuilder.cpp" alt="" coords="6804,239,6985,291"/>
<area shape="rect" id="node33" href="_exception_encountered_sender_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/ExceptionEncounteredSender.cpp" alt="" coords="7009,239,7236,291"/>
<area shape="rect" id="node34" href="_message_request_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/MessageRequest.cpp" alt="" coords="7260,239,7441,291"/>
<area shape="rect" id="node35" href="_console_logger_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Logger/ConsoleLogger.h" alt="" coords="4080,345,4261,411"/>
<area shape="rect" id="node36" href="_logger_sink_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Logger/LoggerSinkManager.h" alt="" coords="7465,232,7665,297"/>
<area shape="rect" id="node37" href="_logger_utils_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Logger/LoggerUtils.h" alt="" coords="4208,232,4389,297"/>
<area shape="rect" id="node38" href="_log_string_formatter_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Logger/LogStringFormatter.h" alt="" coords="3938,232,4134,297"/>
<area shape="rect" id="node39" href="_module_logger_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Logger/ModuleLogger.h" alt="" coords="7690,232,7870,297"/>
<area shape="rect" id="node40" href="_bluetooth_event_bus_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/BluetoothEventBus.cpp" alt="" coords="7894,239,8079,291"/>
<area shape="rect" id="node41" href="_configuration_node_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/Configuration/Configuration\lNode.cpp" alt="" coords="8103,232,8312,297"/>
<area shape="rect" id="node42" href="_device_info_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/DeviceInfo.cpp" alt="" coords="8336,239,8496,291"/>
<area shape="rect" id="node43" href="_file_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/FileUtils.cpp" alt="" coords="8520,239,8680,291"/>
<area shape="rect" id="node44" href="_formatted_audio_stream_adapter_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/FormattedAudioStreamAdapter.cpp" alt="" coords="8704,239,8960,291"/>
<area shape="rect" id="node45" href="_h_t_t_p2_mime_request_encoder_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/HTTP2/HTTP2MimeRequestEncoder.cpp" alt="" coords="8984,239,9275,291"/>
<area shape="rect" id="node46" href="_h_t_t_p2_mime_response_decoder_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/HTTP2/HTTP2MimeResponse\lDecoder.cpp" alt="" coords="9298,232,9525,297"/>
<area shape="rect" id="node47" href="_j_s_o_n_generator_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/JSON/JSONGenerator.cpp" alt="" coords="9549,239,9755,291"/>
<area shape="rect" id="node48" href="_j_s_o_n_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/JSON/JSONUtils.cpp" alt="" coords="9779,239,9951,291"/>
<area shape="rect" id="node49" href="_callback_data_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/LibcurlUtils/CallbackData.cpp" alt="" coords="9975,239,10195,291"/>
<area shape="rect" id="node50" href="_curl_easy_handle_wrapper_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/LibcurlUtils/CurlEasyHandle\lWrapper.cpp" alt="" coords="10219,232,10431,297"/>
</map>
</div>
</div>
<p><a href="_log_level_observer_interface_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_level_observer_interface.html">alexaClientSDK::avsCommon::utils::logger::LogLevelObserverInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html">alexaClientSDK::avsCommon::utils::logger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
